<div class="stars">
    <ngb-rating [(rate)]="currentRating" [max]="5" (rateChange)="onRateChange($event)">
        <ng-template let-fill="fill" let-index="index">
            <span class="star" [class.filled]="fill === 100">&#9733;</span>
        </ng-template>
    </ngb-rating>

    <div style="margin-top: 10px">
        <p *ngIf="currentRating !== 0; else rateUs"> Your rating: {{ currentRating }} </p>
        <p *ngIf="avgRating !== 0; else noRates"> Average rating: {{ avgRating | number:'1.1-2'}} </p>
    </div>
    <ng-template #rateUs>
        <p> Please rate this book!</p>
    </ng-template>
    <ng-template #noRates>
        <p> This book has no ratings yet </p>
    </ng-template>
</div>
